Name: usb_modeswitch
Version: 1.0.2
Release: alt1

Summary: mode switching tool for controlling "flip flop" USB gear
License: GPLv2
Group: System/Kernel and hardware

Url: http://www.draisberghof.de/usb_modeswitch/
Source0: %url/%name-%version.tar.bz2
Source1: %url/%name.conf
Source2: 42-gsm-drivers.rules
Patch: usb_modeswitch-1.0.2-alt-asneeded.patch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Wed Jul 15 2009
BuildRequires: libusb-compat-devel

%description
Several new USB devices (especially high-speed wireless WAN
stuff, they're expensive anyway) have their MS Windows drivers
onboard; when plugged in for the first time they act like a flash
storage and start installing the driver from there. After that
(and on every consecutive plugging) this driver switches the mode
internally, the storage device vanishes (in most cases), and a
new device (like an USB modem) shows up. The WWAN gear maker
Option calls that feature "ZeroCD (TM)".

Fortunately there are things like human reason, USB sniffing
programs and "libusb". It is possible to eavesdrop the
communication of the MS Windows driver, to isolate the command or
action that does the switching, and to reproduce the same thing
with Linux.

USB_ModeSwitch makes the last step considerably easier by taking
the important parameters from a configuration file and doing all
the initialization and communication stuff. It does NOT check for
success afterwards as of now. The right approach would be to
consult /proc/bus/usb/devices (or the output of "lsusb") before
and after execution to note any changes.

%prep
%setup
%patch -p1

%build
%make clean all

%install
install -pDm755 %name %buildroot%_sbindir/%name
install -pDm644 %SOURCE1 %buildroot/etc/%name.conf
install -pDm644 %SOURCE2 %buildroot%_sysconfdir/udev/rules.d/42-gsm-drivers.rules

%files
%doc README
%_sbindir/%name
%_sysconfdir/%name.conf
%_sysconfdir/udev/rules.d/42-gsm-drivers.rules

%changelog
* Wed Jul 15 2009 Michael Shigorin <mike@altlinux.org> 1.0.2-alt1
- built for ALT Linux (based on packman srpm)

* Sat Jun 20 2009 Andrea Florio - <andrea@links2linux.de> 1.0.2 1.pm.3
- new upstream version 1.0.2
* Thu Apr 16 2009 Andrea Florio - <andrea@links2linux.de> 0.9.7 1.pm.3
- new upstream version 0.9.7
* Sat Feb 21 2009 Andrea Florio - <andrea@links2linux.de> 0.9.6 1.pm.3
- new upstream version 0.9.6
* Fri Dec 05 2008 Andrea Florio - <andrea@links2linux.de> 0.9.5 1.pm.3
- new upstream version 0.9.5
* Wed Oct 01 2008 Andrea Florio - <andrea@links2linux.de> 0.9.4 1.pm.3
- added udev rule (thanks to Thorsten) for any problem about
  that please mail: thb@openoffice.org
* Sat Aug 23 2008 Andrea Florio - <andrea@links2linux.de> 0.9.4
- new package
